function []= plotfigs(maxl,lambda,m,resid,mnorm,jmax,yl,xl) 
%% generic plot for the L-curve
  
  sample = [1:floor(m/20):m m];
  figure 
  loglog(resid,mnorm);
  HoldState = ishold; hold on;
  for k = [1:2:10 floor(maxl/4) floor(maxl/2) maxl] %1:floor(maxl/10):maxl
    text(resid(k),mnorm(k),num2str(lambda(k)));
  end
  l1 = line([resid(jmax),resid(jmax)],...
	    [mnorm(jmax),mnorm(maxl)]);
  set(l1,'Color',[0 1 0],'LineStyle','--');
  l2 = line([resid(jmax),resid(1)],...
	    [mnorm(jmax),mnorm(jmax)]);
  set(l2,'Color',[0 1 0],'LineStyle','--');
  text(resid(jmax),mnorm(jmax),num2str(lambda(jmax)));
  ylabel(yl);
  xlabel(xl);
  hold off
  
 