

function jacobian = makejacobian(ncols,deltaz,rec)
%% make the jacobian matrix.  J(i,j) is the distnace the i-th ray
%% travels in the j-th cell.
  nrec = length(rec);  
  jacobian = zeros(nrec,ncols);
  for i = 1:nrec
    ndepth = floor(rec(i)/deltaz);    % ndepth is layer you're in
    eps = rec(i) - ndepth * deltaz;
    for j = 1:ncols
      if(j <= ndepth) 
	jacobian(i,j) = deltaz;
      elseif(j > ndepth)
	jacobian(i,j) = eps;
	break
      end
    end
  end
  

