function [times,sigmatrue] = maketimes(modeljacobian, exactslowmodel, ...
				       nrows,method,scale,corlen)
  
%  rand('state',seed)
%  randn('state',seed)

  % Add some noise to the travel times
  if method == 'N'
    noise = scale * randn(nrows,1); 
  else
    noise = scale * rand(nrows,1); 
  end
  
  if corlen ~= 0
    times = smooth(noise,corlen)' +  modeljacobian * exactslowmodel';
  else
    times = noise + modeljacobian * exactslowmodel';
  end
  
  sigmatrue = std(noise);
