function [totalR] = makeoldL(m)
  %% an invertible regularization matrix (as opposed to get_l)
  R = zeros(m,m);
  R(1,1) = -2;
  R(1,2) = 1;
  R(m,m) = -2;
  R(m,m-1) = 1;
  for i=1:m
    for j=2:m-1
      if i==j
	R(i,j)=-2;
	R(i, j-1)=1;
	R(i,j+1)=1;
      end
    end
  end

  totalR = zeros(m*m,m*m);
  for k =1:m
    totalR(m*(k-1)+1:m*k,m*(k-1)+1:m*k) = R;
  end
