function [curv,jmax] = maxcurv(x,y,z)
  
%% first and second differentials:
  difz = diff(z);
  dif2z =diff(z,2);
  difx = diff(x);
  dif2x = diff(x,2);
  dify = diff(y);
  dif2y = diff(y,2);
  trunc = length(dif2x);
  derivx = difx./difz;
  deriv2x = dif2x./(difz(1:trunc).^2);
  derivy = dify./difz;
  deriv2y = dif2y./(difz(1:trunc).^2);
  
  %% by definition (see Hansen):
  curv = (derivx(1:trunc).*deriv2y - ...
	  deriv2x.*derivy(1:trunc))./...
	 (derivx(1:trunc).^2 + derivy(1:trunc).^2).^1.5;
  [quantity,jmax] = max(curv);
  
